Auto Multiple Choice - Bug # 482: Accents dans le chemin vers le fichier .tex
Description: Bonjour,

J'utilise Trisquel 7, basée sur Ubuntu 14.04. La version 1.3.0+hg2017-05-10-1~trusty1 d'AMC, dans
ppa:alexis.bienvenue/test, pose probléme a I'heure de créer un nouveau projet avec un fichier source LaTeX
dont le chemin inclut des caractéres accentués.

Par exemple, le sélectionneur de fichiers me laisse choisir "/home/banana/Travail/cours/Célculo
Numérico/provas/prova 3/prova3.tex" mais, apres "Appliquer” ce choix, l'interface graphique d'AMC écrit ce
chemin comme étant "/home/banana/Travail/cours/CAjlculo NumA®rico/provas/prova 3/prova3.tex" et géle (lg
"sablier" ne disparait jamais), obligeant a la fermeture de la fenétre. Le répertoire du projet est créé. I
contient néanmoins un fichier options.xml (en piece jointe) avec le méme probléme d'encodage de caracteres
dans la balise "textsrc" :

<pre><texsrc>%HOME/Travail/cours/CAjlculo NumA®rico/provas/prova 3/prova3.tex</texsrc></pre>

En langant, 'auto-multiple-choice' depuis un émulateur de terminal, voila ce qu'il affiche :
<pre>$ auto-multiple-choice

*kk

unhandled exception in callback:
*** undefined value for mandatory argument 'sensitive’ encountered at /ust/lib/AMC/perl/AMC-gui.pl line
4269.

*** ignoring at /usr/share/perl5/Gtk3.pm line 321.</pre>

La version 1.3.0-1~trusty1 d'AMC, dans ppa:alexis.bienvenue/amc, ne pose pas de probléme et rien ne
s'affiche dans I'émulateur de terminal.

History

09/04/2017 04:31 pm - Loic Cerf

Le probléme est toujours présent dans la version de test d'AMC. En fait, il semblerait qu'il n'ait rien a voir avec la présence de caractéres spéciaux
dans le chemin vers le fichier LaTeX : méme avec un chemin purement ASCII, le probléme demeure. Aussi, AMC n'est pas vraiment "gelé". Je le
croyais car le bouton "Mettre a jour les documents" ne fonctionnait pas. Dans le terminal ce message est affiché lorsque je clique dessus :

*kk

<pre>*** unhandled exception in callback:

*** Can't call method "n_pages_transaction" on an undefined value at /usr/lib/AMC/perl/AMC-gui.pl line 1867.
*** ignoring at /usr/share/perl5/Gtk3.pm line 321.</pre>

La méme ligne de /usr/share/perl5/Gtk3.pm souléve donc le probleme. Peut-étre est-ce di a I'ancienneté relative de Trisquel 7 qui est basée sur
Ubuntu 14.04, des distributions qui sont néanmoins sont toujours supportées. Si c'est le cas, les numéros de version des dépendances que le paquet
spécifie ("libgtk3-perl" est en version 0.015-2 sur Ubuntu 14.04 et dérivées) devraient alors étre plus grandes et une versions plus ancienne d'AMC

devrait étre proposée dans la section "trusty" du PPA.

09/04/2017 06:07 pm - Loic Cerf
Aussi, le chemin vers le fichier affiché dans I'onglet "Préparation” d'’AMC est celui choisi a la création du projet (avec "fichier") et non le chemin passant
par le répertoire "projet" d'AMC (comme dans la version 1.3.0-1).

09/04/2017 09:18 pm - Alexis Bienveniie

Pouvez-vous essayer en mode débogage (depuis le menu _Aide_) et joindre le fichier @log@ créé ?

> Aussi, le chemin vers le fichier affiché dans l'onglet "Préparation” d'’AMC est celui choisi & la création du projet (avec "fichier") et non le chemin
passant par le répertoire "projet" d'AMC

Je ne suis pas certain d'avoir compris : pouvez-vous me donner un exemple ?
09/05/2017 08:32 pm - Loic Cerf

Oui. Sijexécute 'auto-multiple-choice' version 1.3.0+hg2017-08-09-1~trusty1 dans un émulateur de terminal, crée un nouveau projet (par exemple
avec Ctrl+N), lui donne un nom quelconque (j’ai choisi «0testll ») puis choisis «0 Fichier » pour ensuite sélectionner le fichier source LaTeX (par
exemple I'«0 exemple simplel » de source LaTeX sur http://auto-multiple-choice.net/auto-multiple-choice.fr/latex.shtml#latex.simple en retirant les
numéros encerclés), alors, au moment de cliquer sur le bouton «0 Appliquerl » pour sélectionner le fichier apparait dans le terminal :

kK

<pre>*** unhandled exception in callback:

*kk

undefined value for mandatory argument 'sensitive' encountered at /usr/lib/AMC/perl/AMC-gui.pl line 4269.
*** ignoring at /usr/share/perl5/Gtk3.pm line 321.</pre>

Le curseur dans l'interface graphique devient un sablier (enfin une roue avec les points qui tournent). Il ne redevient jamais un pointeur. Le chemin
vers le fichier source que l'interface graphique affiche, apres le «0il » bleu, est le chemin que j'ai choisi. Si, jessaie de cliquer sur le bouton «0 Mettre a
jour les documentsl », rien ne se passe si ce n’est que le terminal affiche une nouvelle erreur :

kK

<pre>*** unhandled exception in callback:

Hkk

Can't call method "n_pages_transaction" on an undefined value at /usr/lio/AMC/perl/AMC-gui.pl line 1867.
*** ignoring at /usr/share/perl5/Gtk3.pm line 321.</pre>

Méme chose si j'essaie de «[ Calculer les mises en pagel » :

<pre>No src file /home/banana/Travail/cours/Projets-QCM/test/DOC-calage.xy at /usr/lib/AMC/perl/AMC-meptex.pl line 45.

*kk

unhandled exception in callback:

*kk

Can't call method "begin_read_transaction" on an undefined value at /usr/lib/AMC/perl/AMC-gui.pl line 4326.

*hk

ignoring at /usr/share/perl5/Gtk3.pm line 321.</pre>

La ligne 321 de /usr/share/perl5/Gtk3.pm est la définition entiere de la fonction Gtk3::main :
<pre>sub Gtk3::main {

# Ignore any arguments passed in.

Glib::Object::Introspection->invoke ($_GTK_BASENAME, undef, 'main’);
}</pre>

Avec AMC version 1.3.0-1~trusty1, la méme séquence d’actions ne crée aucun probléme. En particulier aucun message d’erreur dans le terminal. Au
clic sur le bouton «0 AppliquerD » pour sélectionner le «0 Fichierl », cette version d’AMC affiche une fenétre modale qui informe que «I Le fichier source
a été copié dans le répertoire projetl », contrairement a la version 1.3.0+hg2017-08-09-1~trusty1. Et c’est effectivement le chemin vers le fichier source
dans le répertoire projet qui est affiché aprés le «0il » bleu.

09/05/2017 10:39 pm - Loic Cerf

De nouveau, le probleme me parait suffisamment important pour étre résolu : ceux qui utilisent Ubuntu 14.04 Trusty Tahr (toujours supportée) ou une
distribution dérivée (comme Trisquel 7) et choisissent le PPA de test installent un AMC inutilisable. Néanmoins, j'imagine que peu de gens utilisent
encore cette version d’'Ubuntu, que vous avez testé avec succes le fonctionnement d’AMC sur les versions plus récentes (comme Ubuntu 16.04) et
que, par conséquent, le probléme vient des versions des dépendances, trop anciennes. Du coup, il ne vaut peut-étre pas la peine de passer du temps
a réellement corriger le probléme. La section «[trustyl » du PPA de test pourrait simplement proposer AMC version 1.3.0-1~trusty1. Qu’en

pensez-vous ?

09/06/2017 03:29 pm - Alexis Bienveniie

Pouvez-vous joindre le fichier log complet avec la version 1.3.0+hg2017-08-09-1~trusty1 ?

> La section «[trustyll » du PPA de test pourrait simplement proposer AMC version 1.3.0-1~trusty1. Qu’en pensez-vous ?

Oui c'est une « solution » raisonnable. A ce moment-Ia il suffirait d'effacer la version trusty du PPA test : la version 1.3.0-1~trusty1 est sur le PPA amc.

09/07/2017 04:02 pm - Loic Cerf

- File AMC-DEBUG-jI51sj95.log added

Le voila en piéce jointe. J'ai simplement créé un nouveau projet "test" en choisissant le «0fichierd » "/home/banana/Travail/cours/Célculo
Numérico/provas/prova 1/provail.tex". Les trois lignes d’erreur a la fin du fichier sont écrites au clic sur le bouton «0 Appliquerll » pour sélectionner le
fichier.
10/09/2017 07:56 pm - Loic Cerf

Je me permets de vous rappeler que le PPA de test propose toujours une interface graphique inutilisable pour Ubuntu 14.04 Trusty Tahr.

10/09/2017 08:19 pm - Alexis Bienvenlie

Je viens de I'enlever. On peut trouver la version 1.3.0-1~trusty1 dans le PPA standard AMC :

https://launchpad.net/~alexis.bienvenue/+archive/ubuntu/amc/+packages.

10/09/2017 08:23 pm - Loic Cerf
Merci ! :-)

11/03/2017 10:50 am - Alexis Bienveniie
- Status changed from New to Closed

- % Done changed from 0 to 100

Files
AMC-DEBUG:-jI5Isj95.log 2.7 kB 09/07/2017 Loic Cerf
